<div class='container'>

    <app-navigation></app-navigation>

    <h2> Time to build your new CV! </h2>
    <hr>

    <div class="left">
        <h4> <b>Please, enter your information </b></h4>
        <br>
        <div id="formStyle">
            <!-- CV Form -->
            <form [formGroup]="cvForm" (ngSubmit)="submitInfo(cvForm.value)">

                <!-- Contact info -->
                <div class="form-group">
                    <label> Full Name: </label>

                    <div class="form-row">
                        <div class="form-group col-md-5">
                            <input type="text" class="form-control" placeholder="Name" name="Name" id="Name" formControlName="Name">
                        </div>

                        <div class="form-group col-md-5">
                            <input type="text" class="form-control" placeholder="Last Name" name="LastName" id="LastName" formControlName="LastName">
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label> Address: </label> <br>
                    <span class="btn btn-success" *ngIf="!isAddressShown" (click)="addressShow()">
                        +
                    </span>

                    <div class="form-row" *ngIf="isAddressShown">
                        <div class="form-group col-md-10">
                            <input type="text" class="form-control" placeholder="Street No." name="Street" id="Street" formControlName="Street" />
                        </div>
                        <div class="form-group col-md-5">
                            <input type="text" class="form-control" placeholder="City" name="City" id="City" formControlName="City" />
                        </div>
                        <div class="form-group col-md-4">
                            <input type="text" class="form-control" placeholder="Country" name="Country" id="Country" formControlName="Country" />
                        </div>
                        <div class="form-group col-md-1">
                            <span class="btn btn-danger" (click)="addressShow()">-</span>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label for="Mobile"> Mobile phone: </label>
                    <input type="text" class="form-control" placeholder="+38* ** *** ****" name="MobilePhone" id="MobilePhone" formControlName="MobilePhone" />
                </div>

                <div class="form-group">
                    <label for="Email"> Email: </label>
                    <input type="email" class="form-control" placeholder="example@mail.com" name="Email" id="Email" formControlName="Email" />
                    <p class="error-message" *ngIf="email().errors?.email">email is not valid</p>
                </div>

                <div class="form-group">
                    <label for="LinkedIn"> LinkedIn: </label>
                    <input type="text" class="form-control" placeholder="LinkedIn" name="LinkedIn" id="LinkedIn" formControlName="LinkedIn" />
                </div>
                <!-- end of contact info -->

                <div class="form-group">
                    <label for="language"> Languages: </label>
                    <input type="text" class="form-control" placeholder="language1 level, language2 level" name="language" id="language" formControlName="Language" />
                </div>

                <!-- Add color -->
                <div *ngIf="[2, 3, 4, 5, 9, 10].includes(getTemplateId())" class="form-group">
                    <label for="color"> Choose color of your CV: </label>
                    <input type="color" class="form-control" name="language" id="color" formControlName="Color" />
                </div>

                <!-- Add an image -->
                <div *ngIf="getTemplateId() <= 5" class="form-group">
                    <label for="color"> Choose an image: </label>
                    <br>
                    <input name="Picture" class="btn btn-danger" type="file" accept=".png,.jpg,.jpeg" (change)="selectImage($event)" />

                </div>

                <!-- Sections -->
                <div class="form-group">
                    <div *ngFor="let section of clickedSections">

                        <!-- Education -->
                        <div class="form-group" *ngIf="section == 'Education'">
                            <div *ngFor="let sec of this.cvForm.controls['Education'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Education: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="yyyy - yyyy" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="school" placeholder="School" />
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                    </div>

                                    <span class="btn btn-success" (click)="addEducation()">
                                        + Education
                                    </span>
                                </ng-container>
                            </div>
                        </div>

                        <!-- Work Experience -->
                        <div class="form-group" *ngIf="section == 'WorkExperience'">
                            <div *ngFor="let sec of this.cvForm.controls['WorkExperience'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Work Experience: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="yyyy-yyyy" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="company" placeholder="Company" />
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="position" placeholder="Position" />
                                    </div>
                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                    </div>

                                    <span class="btn btn-success" (click)="addWorkExperience()">
                                      + Experience
                                    </span>
                                </ng-container>
                            </div>
                        </div>

                        <!-- Projects -->
                        <div class="form-group" *ngIf="section == 'Projects'">
                            <div *ngFor="let sec of this.cvForm.controls['Projects'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Projects: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="Project year" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="name" placeholder="Name of the project" />
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="type" placeholder="Type: one-man or group project" />
                                    </div>
                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                    </div>

                                    <span class="btn btn-success" (click)="addProjects()">
                                        + Project
                                    </span>
                                </ng-container>
                            </div>
                        </div>

                        <!-- Volunteering -->
                        <div class="form-group" *ngIf="section == 'Volunteering'">
                            <div *ngFor="let sec of this.cvForm.controls['Volunteering'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Volunteering: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="yyyy - yyyy" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="company" placeholder="Company " />
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                    </div>

                                    <span class="btn btn-success" (click)="addVolunteering()">
                                        + Volunteering
                                    </span>
                                </ng-container>
                            </div>
                        </div>

                        <!-- Professional Skills -->
                        <div class="form-group" *ngIf="section == 'ProfessionalSkills'">
                            <div *ngFor="let sec of this.cvForm.controls['ProfessionalSkills'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Professional Skills: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <input type="text" class="form-control" formControlName="skill" placeholder="Skill" />
                                        </div>

                                        <span class="btn btn-success" (click)="addProfessionalSkills()">
                                            + Skill
                                        </span>
                                    </div>

                                </ng-container>
                            </div>
                        </div>

                        <!-- Publications -->
                        <div class="form-group" *ngIf="section == 'Publications'">
                            <div *ngFor="let sec of this.cvForm.controls['Publications'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Publications: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="Year" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="name" placeholder="Name " />
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                    </div>

                                    <span class="btn btn-success" (click)="addPublications()">
                                        + Publication
                                    </span>

                                </ng-container>
                            </div>
                        </div>

                        <!-- Achievements -->
                        <div class="form-group" *ngIf="section == 'Achievements'">
                            <div *ngFor="let sec of this.cvForm.controls['Achievements'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Achievements: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="Year(s)" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="name" placeholder="Name " />
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                    </div>

                                    <span class="btn btn-success" (click)="addAchievements()">
                                        + Achievement
                                    </span>

                                </ng-container>
                            </div>
                        </div>

                        <!-- Talks -->
                        <div class="form-group" *ngIf="section == 'Talks'">
                            <div *ngFor="let sec of this.cvForm.controls['Talks'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Talks: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="Year" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="description" placeholder="Description" />
                                        </div>

                                    </div>

                                    <span class="btn btn-success" (click)="addTalks()">
                                        + Talk
                                    </span>

                                </ng-container>
                            </div>
                        </div>

                        <!-- Courses -->
                        <div class="form-group" *ngIf="section == 'Courses'">
                            <div *ngFor="let sec of this.cvForm.controls['Courses'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Courses: </label>

                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <input type="text" class="form-control" formControlName="year" placeholder="yyyy - yyyy" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <input type="text" class="form-control" formControlName="name" placeholder="Course name" />
                                        </div>
                                    </div>

                                    <span class="btn btn-success" (click)="addCourses()">
                                        + Course
                                    </span>

                                </ng-container>
                            </div>
                        </div>

                        <!-- Interests -->
                        <div class=form-group *ngIf="section == 'Interests'">
                            <div *ngFor="let sec of this.cvForm.controls['Interests'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Interests</label>

                                    <div class="form-group">
                                        <textarea class="form-control" formControlName="description" placeholder="List all of your interests"> </textarea>
                                    </div>

                                </ng-container>
                            </div>
                        </div>

                        <!-- Hobbies -->
                        <div class="form-group" *ngIf="section == 'Hobbies'">
                            <div *ngFor="let sec of this.cvForm.controls['Hobbies'].value; index as i">
                                <ng-container [formGroup]="sec">
                                    <label> Hobbies </label>

                                    <div class="form-group">
                                        <textarea class="form-control" formControlName="description" placeholder="List all of your hobbies here"> </textarea>
                                    </div>

                                </ng-container>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- Dropdown menu to add new section -->
                <div class="dropdown">
                    <button class="dropbtn" disabled>Add new section</button>
                    <div class="dropdown-content">
                        <a *ngIf="!isSection['Education']" (click)="addEducation()">Education</a>
                        <a *ngIf="!isSection['WorkExperience']" (click)="addWorkExperience()">Work Experience</a>
                        <a *ngIf="!isSection['Volunteering']" (click)="addVolunteering()">Volunteering</a>
                        <a *ngIf="!isSection['Projects']" (click)="addProjects()">Projects</a>
                        <a *ngIf="!isSection['Skills']" (click)="addProfessionalSkills()">Professional Skills</a>
                        <a *ngIf="!isSection['Publications']" (click)="addPublications()">Publications</a>
                        <a *ngIf="!isSection['Achievements']" (click)="addAchievements()">Achievements</a>
                        <a *ngIf="!isSection['Talks']" (click)="addTalks()">Talks</a>
                        <a *ngIf="!isSection['Courses']" (click)="addCourses()">Courses</a>
                        <a *ngIf="!isSection['Interests']" (click)="addInterests()">Interests</a>
                        <a *ngIf="!isSection['Hobby']" (click)="addHobbies()">Hobbies</a>
                    </div>
                </div>

                <br> <br> <br>

                <div class="form-group">
                    <button type="submit" [disabled]="!cvForm.valid" class="btn btn-primary"> Submit </button>
                </div>
            </form>
        </div> <br>
    </div>

    <div class=right>
        <button class="btn btn-primary" (click) = previewInfo(this.cvForm.value)> Preview </button>
        <br>
        <hr>
        <p align = "center">
            <iframe id='preview'
                    [src]="this.safePdfPath"
                    width="500" height="670"
                    type="application/pdf">
            </iframe>
        </p>
    </div>
</div>
